Subject: [Sipping] [Reg] Diversion Header

From: <[email-masked]>
Date: Thu, 30 Aug 2007 00:30:49 +0530

Hi,
 
I need some clarification regarding the encoding syntax of SIP Diversion header parameters reason & privacy . 
 
I am aware that Diversion header is replaced by History-Info, but I need to support Diversion header for some network implementation. 
 
    diversion-reason = "reason" "="
                    ( "unknown" | "user-busy" | "no-answer" |
                      "unavailable" | "unconditional" |
                      "time-of-day" | "do-not-disturb" |
                      "deflection" | "follow-me" |
                      "out-of-service" | "away" |
                      token | quoted-string )
    diversion-privacy = "privacy" "=" ( "full" | "name" |
                        "uri" | "off" | token | quoted-string )

I like to know which is the correct syntax for the diversion-privacy & diversion-reason parameter i.e. 
 
Diversion: ...;reason="user-busy";privacy="full"
 
or,
 
Diversion: ...;reason=user-busy;privacy=full
 
Cheers,
Subhodeep
_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: "Avasarala Ranjit-A20990" <[email-masked]>
Date: Thu, 30 Aug 2007 03:04:07 +0800

Hi Subhodeep
 
The correct syntax would be: Diversion:
...;reason="user-busy";privacy="full"

Regards 
Ranjit 

________________________________

From: [email-masked] [mailto:[email-masked]] 
Sent: Thursday, August 30, 2007 12:31 AM
To: [email-masked]; [email-masked]
Subject: [Sipping] [Reg] Diversion Header

Hi,
 
I need some clarification regarding the encoding syntax of SIP Diversion
header parameters reason & privacy . 
 
I am aware that Diversion header is replaced by History-Info, but I need
to support Diversion header for some network implementation. 

I like to know which is the correct syntax for the diversion-privacy &
diversion-reason parameter i.e. 

or,

Cheers,
Subhodeep

---

From: "Vinay Pande \(vipande\)" <[email-masked]>
Date: Wed, 29 Aug 2007 12:31:01 -0700

The examples mentioned in section 7.1 and voice-mail / ISUP examples of
sec 9.2 / sec 10 in draft-08
<http://tools.ietf.org/id/draft-levy-sip-diversion-08.txt>  show that
the reason, counter and other headers need not be in quotes. Only the
screen and privacy parameter values are shown in quotes. 
 
Sec 9.2
          SIP/2.0 302 Moved Temporarily
          Via: SIP/2.0/UDP p1.isp.com
          Via: SIP/2.0/UDP alice-pc.isp.com
          Contact: [email-masked]
          From: sip:[email-masked]
          To: <sip:[email-masked]>;tag=uas1
          Call-ID: [email-masked]
          CSeq: 1 INVITE
          Diversion: <sip:[email-masked]>;reason=do-not-disturb
Sec 10.3.5:
                                       |--INVITE tel:+19195551004---->
                                       |  Diversion: <tel:+19195551002>
                                       |    ;reason=user-busy
                                       |    ;screen="yes"
                                       |    ;privacy="off"
                                       |  Diversion: <tel:+19195551001>
                                       |    ;reason=unconditional
                                       |    ;screen="yes"
                                       |    ;privacy="full"

Thanks,
Vinay

From: Avasarala Ranjit-A20990 [mailto:[email-masked]] 
Sent: Wednesday, August 29, 2007 12:04 PM
To: [email-masked]; [email-masked]; [email-masked]
Subject: RE: [Sipping] [Reg] Diversion Header

Hi Subhodeep

Regards 
Ranjit 

Hi,

 

 
or,

Cheers,
Subhodeep

---

From: [email-masked] (Juha Heinanen)
Date: Thu, 30 Aug 2007 08:15:24 +0300

Derks, Frank writes:

 > Please be aware that the Diversion header never made it through the IETF
 > standardisation process, which makes its use proprietary. Some
 > manufacturers, among which Microsoft, use it however. 

not only microsoft, but also cisco and many others.

-- juha

---

From: "Derks, Frank" <[email-masked]>
Date: Thu, 30 Aug 2007 07:06:03 +0200

Hi Ranjit,
 
Please be aware that the Diversion header never made it through the IETF
standardisation process, which makes its use proprietary. Some
manufacturers, among which Microsoft, use it however. The IETF-way of
doing this would be to make use of the request history as per RFC4244.
 
Cheers,
 
Frabj

From: Avasarala Ranjit-A20990 [mailto:[email-masked]] 
Sent: 2007-Aug-29 21:04
To: [email-masked]; [email-masked]; [email-masked]
Subject: [Sip] RE: [Sipping] [Reg] Diversion Header

Hi Subhodeep

Regards 
Ranjit 

Hi,

 

 
or,

Cheers,
Subhodeep

---

From: "Brett Tate" <[email-masked]>
Date: Thu, 30 Aug 2007 08:07:55 -0400

Per the section 5 BNF representation, only parameter values that have
non token characters need the quotes.  Thus the use of the quotes for
the privacy and screen values within the examples is not needed.

	From: Vinay Pande (vipande) [mailto:[email-masked]] 
	Sent: Wednesday, August 29, 2007 3:31 PM
	To: Avasarala Ranjit-A20990; [email-masked];
[email-masked]; [email-masked]
	Subject: RE: [Sipping] [Reg] Diversion Header

	The examples mentioned in section 7.1 and voice-mail / ISUP
examples of sec 9.2 / sec 10 in draft-08
<http://tools.ietf.org/id/draft-levy-sip-diversion-08.txt>  show that
the reason, counter and other headers need not be in quotes. Only the
screen and privacy parameter values are shown in quotes. 
	 
	Sec 9.2
	
	          Diversion:
<sip:[email-masked]>;reason=do-not-disturb
	Sec 10.3.5:

	                                       |--INVITE
tel:+19195551004---->
	                                       |  Diversion:
<tel:+19195551002>
	                                       |    ;reason=user-busy
	                                       |    ;screen="yes"
	                                       |    ;privacy="off"
	                                       |  Diversion:
<tel:+19195551001>
	                                       |
;reason=unconditional
	                                       |    ;screen="yes"
	                                       |    ;privacy="full"

	Thanks,
	Vinay

	Hi Subhodeep

	Regards 
	Ranjit 

	From: [email-masked]
[mailto:[email-masked]] 
	Sent: Thursday, August 30, 2007 12:31 AM
	To: [email-masked]; [email-masked]
	Subject: [Sipping] [Reg] Diversion Header

	Hi,
	 
	I need some clarification regarding the encoding syntax of SIP
Diversion header parameters reason & privacy . 
	 
	I am aware that Diversion header is replaced by History-Info,
but I need to support Diversion header for some network implementation. 

	I like to know which is the correct syntax for the
diversion-privacy & diversion-reason parameter i.e. 

	or,

	Cheers,
	Subhodeep

---

From: "DRAGE, Keith \(Keith\)" <[email-masked]>
Date: Thu, 30 Aug 2007 14:57:21 +0200

Can I just add a caveat here that as this was never a SIP WG item, only
an author draft, you take the answers as you find them. 
 
The standards track SIP solution for this problem is the History-Info
header, documented in RFC 4244 (with some content extras in RFC 4458).
 
Note also that the Diversion header is also NOT IANA registered, and
there is nothing therefore that prevents an alternative usage of the
same character string coming along in the future with different
semantics.
 
regards
 
Keith

	From: Brett Tate [mailto:[email-masked]] 
	Sent: Thursday, August 30, 2007 1:08 PM
	To: [email-masked]; [email-masked]
	Subject: RE: [Sipping] [Reg] Diversion Header

	Per the section 5 BNF representation, only parameter values that
have non token characters need the quotes.  Thus the use of the quotes
for the privacy and screen values within the examples is not needed.

		The examples mentioned in section 7.1 and voice-mail /
ISUP examples of sec 9.2 / sec 10 in draft-08
<http://tools.ietf.org/id/draft-levy-sip-diversion-08.txt>  show that
the reason, counter and other headers need not be in quotes. Only the
screen and privacy parameter values are shown in quotes. 
		 
		Sec 9.2

		                                       |--INVITE
tel:+19195551004---->
		                                       |  Diversion:
<tel:+19195551002>
		                                       |
;reason=user-busy
		                                       |
;screen="yes"
		                                       |
;privacy="off"
		                                       |  Diversion:
<tel:+19195551001>
		                                       |
;reason=unconditional
		                                       |
;screen="yes"
		                                       |
;privacy="full"

		Thanks,
		Vinay

		From: Avasarala Ranjit-A20990
[mailto:[email-masked]] 
		Sent: Wednesday, August 29, 2007 12:04 PM
		To: [email-masked]; [email-masked];
[email-masked]
		Subject: RE: [Sipping] [Reg] Diversion Header

		Hi Subhodeep

		Regards 
		Ranjit 

		Hi,
		 
		I need some clarification regarding the encoding syntax
of SIP Diversion header parameters reason & privacy . 
		 
		I am aware that Diversion header is replaced by
History-Info, but I need to support Diversion header for some network
implementation. 
		 
		    diversion-reason = "reason" "="
		                    ( "unknown" | "user-busy" |
"no-answer" |
		                      "unavailable" | "unconditional" |
		                      "time-of-day" | "do-not-disturb" |
		                      "deflection" | "follow-me" |
		                      "out-of-service" | "away" |
		                      token | quoted-string )
		    diversion-privacy = "privacy" "=" ( "full" | "name"
|
		                        "uri" | "off" | token |
quoted-string )

		 
		or,

		Cheers,
		Subhodeep